{-# LANGUAGE DeriveGeneric #-}
{-# LANGUAGE MultiParamTypeClasses #-}
module Types.Auth where

import qualified Data.Text as T

import Servant.API

import Web.Internal.FormUrlEncoded

import Servant.HTML.Blaze

import GHC.Generics

data AuthReturn = AuthReturn
  { authReturnPass   :: T.Text
  , authReturnMethod :: Int
  }
  deriving (Show, Generic)

instance MimeRender HTML AuthReturn
instance FromForm AuthReturn
